GET api/CosEccSummary/GetAuthorizationExamComponentList?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfExamcomponentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of ExamcomponentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "ComponentId": 2,
      "ComponentName": "sample string 3",
      "Sequence": 4,
      "CaseNo": 5,
      "IsAuthorizationEnable": true,
      "AuthorizationType": 7,
      "MappingId": 1,
      "RecordId": "056619a8-323a-4648-8626-2f87e4c0d4c0",
      "OrderCategoryTypeId": 1,
      "OrderCategoryTypeLevel1Id": "sample string 8",
      "OrderCategoryTypeLevel2Id": 1,
      "OrderCategoryTypeLevel3Id": 1,
      "Selected": true,
      "OrderDescription": "sample string 10",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:37.2227646-07:00",
      "DateUpdated": "2026-08-04T14:28:37.2227646-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15
    },
    {
      "Id": 1,
      "ComponentId": 2,
      "ComponentName": "sample string 3",
      "Sequence": 4,
      "CaseNo": 5,
      "IsAuthorizationEnable": true,
      "AuthorizationType": 7,
      "MappingId": 1,
      "RecordId": "056619a8-323a-4648-8626-2f87e4c0d4c0",
      "OrderCategoryTypeId": 1,
      "OrderCategoryTypeLevel1Id": "sample string 8",
      "OrderCategoryTypeLevel2Id": 1,
      "OrderCategoryTypeLevel3Id": 1,
      "Selected": true,
      "OrderDescription": "sample string 10",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:37.2227646-07:00",
      "DateUpdated": "2026-08-04T14:28:37.2227646-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15
    }
  ],
  "totalCount": 3
}